PAN to Title Chain Check
Introduction:
The Property Title History API aims to provide a streamlined service that retrieves the history of property titles based on the PAN (Permanent Account Number) of individuals or entities. This service is limited to properties located in Mumbai and Pune, where PAN is mandatory for property transactions. The API will be resold to customers in the real estate, legal, and financial sectors, offering a quick and reliable solution to obtain title histories without needing manual searches through property records.
This API will enhance existing offerings in property verification services by leveraging PAN data, thus reducing the friction in property transactions, due diligence, and legal assessments.
Sample cURL:
curl --location 'https://api-preproduction.signzy.app/api/v3/title/check' \
--header 'Content-Type: application/json' \
--header 'Authorization: ' \
--data '{
"pan": "AAWCS3552Q",
"limit": 1,
"offset": 0
}'Request Headers:
Key | Value |
|---|---|
Authorization | Shared by Signzy |
Content-Type | application/json |
Request Body:
{
"pan": "AAWCS3552Q",
"limit": "1",
"offset": "1"
}PARAMETERS | DESCRIPTION | TYPE | VALUE (COMPULSORY OR OPTIONAL) |
|---|---|---|---|
pan | Pan of the user | String | Mandatory |
limit | By default 10 records will come. In order to get more records user need to pass offset as 10 and limit as 10. Then first 10 transaction will get skipped | Number | Optional |
offset | | Number | Optional |
Response Data:
{
"error": false,
"msg": "Search request successful",
"recordsFiltered": 2,
"data": [
{
"registrationDate": "23-08-2023",
"projectName": "",
"locality": "",
"unitNo": "201",
"floor": "2",
"tower": "",
"wing": "",
"transactionType": "rent",
"partyDetails": [
{
"partyType": "Tenant",
"name": "साईंजी टेक्नोलॉजीस प्रा लि तर्फे ऑथो सिग्नेटरी ध्वनित शैलेश मिश्रा",
"age": "30",
"address": "प्लॉट नं: -, माळा नं: 8, इमारतीचे नाव: अवफीस, टॉवर 1, वन इंटरनेशनल सेंटर, ब्लॉक नं: सेनापती बापट मार्ग, प्रभादेवी, दादर प मुंबई, रोड नं: -, महाराष्ट्र, मुम्बई.",
"pin": "400013"
}
],
"area": null,
"considerationAmount": 110000,
"marketValue": "0",
"stampDuty": "6930",
"propertyDescription": "1) पालिकेचे नाव:मुंबई मनपाइतर वर्णन :, इतर माहिती: कमर्शियल प्रिमायसेस युनिट नं 201,एरिया 624.598 चौ फुट आणि युनिट नं 202,एरिया 627.112 चौ फुट,2 रा मजला,बी जे हाऊस(पान बाग),जंक्शन ऑफ सर एम व्ही रोड आणि कार्डीनल ग्रेसिअस रोड,चकाला पेट्रोल पंप जंक्शन,अंधेरी पु मुंबई-400093,कालावधी 24 महिने मासिक भाडे 1 ले 12 महिने 110000/- उर्वरित 12 महिन्यांकरिता 115500/- अनामत रक्कम 330000/-( ( C.T.S. Number : 488 part ; ) )"
}
]
}Status Codes:
CODE | MESSAGE |
|---|---|
200 400 404 | Request Successful Validation Error Record Not Found |
409 500 | Upstream is down Server Side Error |